# generate xfig2.1-picture from daten.def  
#  by Joerg.Schulenburg@physik.uni-magdeburg.de Feb99
#
# see /usr/doc/info/gawk.info.gz
#
# old version: tail +n | head -1 # line extracting
# new version: use awk (the best program I ever saw)
#
if test -z "$1"; then file=daten.def
                 else file=$1
fi
if test ! -r $file; then echo "file $file not found";exit; fi
echo -ne "#FIG 2.1\n80 2\n"
grep -v "^\#" $file |\
 awk -v VN=${varNN} \
 '(NR == 1) { vn=$1;vnw=$2; printf "# NN=%d Nw=%d\n",vn,vnw }
  (NR > 1) && (NR < vn+2) {\
       ax[$1]=$2*40; ay[$1]=$3*40;
       printf "4 1 0 40 0 -1 0.00000 4 23 16 %d %d %d\001\n",\
              $2*40, $3*40, $1 }
  (NR > vn+1) {\
       printf "2 1 0 1 -1 0 0 0 0.000 -1 0 0\n";
       printf "\t%d %d %d %d 9999 9999\n",ax[$2],ay[$2],ax[$3],ay[$3]; }'
exit

